Skip to main content
GET
/
api
/
v1
/
users
/
{id}
Get a user by ID
curl --request GET \
  --url https://api.accessowl.com/api/v1/users/{id} \
  --header 'Authorization: Bearer <token>'
{
  "deactivated_at": null,
  "departments": [
    "Engineering"
  ],
  "email": "john@example.com",
  "employment_type": "full_time",
  "first_name": "John",
  "full_name": "John Doe",
  "id": "7488a646-e31f-11e4-aace-600308960662",
  "inserted_at": "2023-01-01T00:00:00Z",
  "job_title": "Software Engineer",
  "last_name": "Doe",
  "location_city": "San Francisco",
  "manager_user_id": null,
  "status": "active",
  "teams": [
    "Engineering",
    "Backend"
  ],
  "updated_at": "2023-01-01T00:00:00Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Pass your AccessOwl API token in the Authorization header as Bearer <token>.

Path Parameters

id
string
required

User ID

Response

User

A user in the organization

email
string<email>
required

Email address

first_name
string
required

First name

id
string<uuid>
required

User ID

last_name
string
required

Last name

status
enum<string>
required

Current status

Available options:
active,
inactive,
onboarding,
onboarding_provisioning_planned,
offboarding,
offboarding_planned,
offboarded
deactivated_at
string<date-time> | null

Deactivation timestamp

departments
string[]

Departments the user belongs to

employment_type
enum<string> | null

Employment type

Available options:
full_time,
part_time,
contract,
freelance,
internship,
apprenticeship,
working_student,
training
full_name
string

Full name (computed)

inserted_at
string<date-time>

Creation timestamp

job_title
string | null

Job title

location_city
string | null

City location

manager_user_id
string<uuid> | null

Manager user ID

teams
string[]

Teams the user belongs to

updated_at
string<date-time>

Last update timestamp